import Web3ProviderHttp from 'web3-providers-http';
import { ProviderOptions, ProviderCallOptions, RpcResponse, PartialRpcOptions, SubscriptionResponse } from 'web3-providers-base/lib/types';
import { ProviderProtocol } from './types';
export default class Web3RequestManager {
    provider: Web3ProviderHttp | undefined;
    providerProtocol: ProviderProtocol;
    private static _DEFAULT_JSON_RPC_VERSION;
    constructor(providerOptions: ProviderOptions);
    static detectProviderProtocol(providerUrl: string): ProviderProtocol;
    private static _defaultRpcOptions;
    send(rpcOptions: PartialRpcOptions, providerCallOptions?: ProviderCallOptions): Promise<RpcResponse>;
    subscribe(rpcOptions: PartialRpcOptions, providerCallOptions?: ProviderCallOptions): Promise<SubscriptionResponse>;
}
//# sourceMappingURL=index.d.ts.map